# frozen_string_literal: true

module Hermes
  module BoClient
    # extending Mapping Module from base_map.rb
    module Mappings
      # handle HousingRequest model mapping for xml data send
      class HousingApplicationMap
        include Hermes::BoClient::Mappings::Concerns::BaseMap
        def initialize(options)
          housing_request_id = options[:housing_request_id]
          @housing_request = Hermes::HousingRequest.find_by(id: housing_request_id)
          self.main_object = Hermes::HousingApplication.find_by(id: options[:housing_application_id])
          @code_evenement = options[:code_evenement]
          @housing_offer= Hermes::HousingOffer.find_by(id: options[:housing_offer_id])
          @map = {}
        end
        def code_evenement
            @code_evenement
        end
        def refInterneDemande
          @housing_request&.internal_ref
        end
        def refInterneOffre
          @housing_offer&.external_ref
        end
      end
    end
  end
end
