require 'rails_helper'



# exemple d'utilisation ho = Hermes::HousingOffer.find("5def769722ec791f58770f6e")
=begin

l1 = Hermes::Lessor.create(title: 'MON ENTREPRISE', siren: 'plop')
a1 = Hermes::Entity.create(title: 'MON AGENCE', siren: 'replop', lessor: l1)
ho = Hermes::HousingOffer.create(lessor: l1,rent_amount: 1264.23,rental_charges: 56.73, agency_id: a1.id, als_siren:"123456789",mad_als_date: Date.current, availability_date: Date.current,designation_date_end: Date.current,  )

ho = Hermes::HousingOffer.find("5e0db0f4dfbd977046c72d93")
so=Hermes::BoClient::AddOfferTask.new({:'housing_offer_id'=> ho.id})
so.to_xml
ExecuteSopraTaskJob.perform_now(so.endpoint, so.to_xml)
=end

dir_path = File.dirname(__FILE__)
schema_path = [dir_path, 'FluxPatrimoine.xsd'].join('/')
require [Hermes::Engine.root, %w[lib hermes bo_client tasks]].flatten.join('/').to_s

RSpec.describe Hermes::BoClient::AddOfferTask, type: :helper do
  let!(:xsd) { Nokogiri::XML::Schema(File.read(schema_path)) }

  it 'should load a valid XSD' do
    expect(xsd).to be_present
    expect(xsd.class).to be Nokogiri::XML::Schema
  end

  context 'with simple housing_offer' do
    let!(:lessor1) { create(:lessor,
                            title: 'MON ENTREPRISE',
                            siren: '123456789',
                            siret: '123456789',
                            rpls_id:"dfqf"
    ) }
    let!(:agency1) { create(:entity, title: 'MON AGENCE', siren: '123456789', lessor: lessor1) }
    let!(:housing_offer1) do
      create(
        :housing_offer,
        lessor: lessor1,
        rent_amount: 1264.23,
        rental_charges: 56.73,
        agency_id: agency1.id,
        als_siren:"123456789",
        is_mad_updated_at: Date.current,
        availability_date: Date.current,
        designation_date_end: Date.current,
        has_gardian:false,
        lessor_orientation: "A",
        external_ref: "truc",
        description: "TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT",
        address: "fzefqezfzef",
        address_complements: "zeqfqzef",
        communicate_exact_address:true,
        postal_code: "30100",
        district:"Alès",
        residence_code:"bibi",
        residence_title:"la charmille",
        qpv:true,
        construction_type:"T2",
      kind:"1",
        typology:"A"
      )
    end
    let!(:add_offer_task1) do
      build(
        :add_offer_task,
        options: { housing_offer_id: housing_offer1.id }
      )
    end

    describe 'using to_xml' do
      it 'should return a valid xml' do
        puts add_offer_task1.to_xml
         ap xsd.validate(Nokogiri::XML(add_offer_task1.to_xml))
        add_offer_task1.validate_xml

        expect(housing_offer1.reload.last_xml_validation_report).to eq("[]")
       expect(xsd.validate(Nokogiri::XML(add_offer_task1.to_xml)).length).to eq(0)
      end
    end
  end
end

{"data":{"attributes":{"coapplicants":[{"rel_type":"L","id":"5e0f407b22ec7979ecb7ff6a"}]}}}

{"data":{"attributes":{"responsible":{"id":"5dfce80b22ec7969dab34fe8","first_name":"Theo","last_name":"GRELET"},"readers":["5dfce80b22ec7969dab34fe8"],"writers":["5dfce80b22ec7969dab34fe8"],"read_level":"write","created_at":"2020-01-03T14:18:30.283+01:00","updated_at":"2020-01-03T14:20:06.593+01:00","is_active":true,"als_id":"0ec8dc8ca486176018","request_status":"INCOMPLETE","attributed_housing_district":null,"attributed_housing_district_postal_code":null,"old_request_status":null,"request_status_updated_at":null,"old_entity_status":null,"entity_status_updated_at":null,"entity_status":"EN COURS DE SAISIE","dalo":null,"asked_mobility":null,"valid_mobility":null,"decider":null,"submitted_to_cal_nb":null,"sent_to_cal_nb":null,"rejected_in_cal_nb":null,"rejected_after_cal_nb":null,"accepted_in_cal_nb":null,"mobility":null,"seeked_types":["T1"],"entity_help_required":null,"contract_type":null,"registration_number":"123E","applicant_ids":[],"entity_validated":null,"priority_points_indexes":null,"has_priority":false,"nud":null,"nb_of_requests_made":null,"reference_tax_revenues":123,"seeked_districts":["Alès"],"category_type":2,"single_parent":false,"id_counter":null,"id_unique":null,"id_unique_associate":null,"internal_ref":null,"forcing_duplicate":null,"electronical_renewal":null,"ec_law_ressources":null,"is_long_delay_anormal":null,"date_calculator_indicator":null,"with_car_park":false,"widen_request":"true","housing_type_list":["SD"],"expulsion_judgement_date":null,"other_reason":null,"work_contract_type":null,"seeked_district_postal_codes":["30100"],"seeked_departments":["30"],"seeked_localisation_list":[{"nom":"Alès","code":"30007","codeDepartement":"30","codeRegion":"76","codesPostaux":["30100"],"population":39970,"_score":0.282832262586467}],"dependents":[],"monthly_revenues":0,"dependents_monthly_incomes":{},"dependents_monthly_charges":{},"typology_range":["T1","T2","T3"],"family_size":2,"coapplicants":[],"lessor_name":null,"lessor_siren":null,"social_housing_entry_date":null,"social_housing_name":null,"test_created_at":null,"sne_number":null,"employee_id":"sds","employee_start_date":"2020-01-08T00:00:00.000Z","entity_access_level":"total","employee_unit":null,"tab_state":0,"motivation1":"02","motivation2":null,"motivation3":null,"seeking_first_floor":true,"seeking_elevator":true,"seeked_max_rent":null,"seeked_epci_first_quartils":null,"seeked_quartil_belongings":null,"sne_creation_date":null,"precisions":null,"has_multiple_attributions_under_conditions":null,"seeked_housing_categories":["M"],"radiation_date":null,"radiation_motive":null,"min_surface":16,"main_applicant_id":"5e0f3f26dfbd977dd9084998","main_applicant":{"id":"5e0f3f26dfbd977dd9084998","responsible":{"id":"5dfce80b22ec7969dab34fe8","first_name":"Theo","last_name":"GRELET"},"readers":["5dfce80b22ec7969dab34fe8"],"writers":["5dfce80b22ec7969dab34fe8"],"read_level":"write","created_at":"2020-01-03T14:18:30.089+01:00","updated_at":"2020-01-03T14:20:06.629+01:00","nud":null,"temporary_id":null,"sne_profile_creation_date":null,"ss_id":null,"first_name":"Theo","last_name":"GRELET","full_name":"Theo GRELET","patronymic_name":null,"nationality":"1","email":"c.omptet.es.t.als@gmail.com","email_advances_assistant":null,"event_notification":null,"cellphone":null,"homephone":"0111111111","workphone":null,"civility":"2","birth_date":"2000-01-01T01:00:00.000+01:00","work_contract_type":"CDIP","profession_details":{"profession":"sanssdf"},"has_other_employers":false,"main_employer_name":"RRRRR","main_employer_siret":"123458765","workplace_postal_code":"30100","workplace_locality":"Alès","foreign_workplace_postal_code":null,"foreign_workplace_locality":null,"foreign_workplace_country":null,"year_minus_one":"2018","amount_year_minus_one":112,"year_minus_two":"2019","amount_year_minus_two":123,"ressources_details":null,"tax_revenues":null,"apl_amount":null,"family_situation":"C","family_situation_validated":null,"asked_children_nb":null,"valid_children_nb":null,"asked_family_size":null,"valid_family_size":null,"situation_tax_treshold":null,"status":null,"status_updated_at":null,"asked_locataire_hlm":null,"valid_locataire_hlm":null,"valid_priority_public":null,"asked_priority_public":null,"priority_public":null,"mobility":null,"mutation":null,"completed_requests_nb":null,"on_going_request_nb":null,"disability":null,"renewal_date":null,"eligibility_query":"{\"single_parent\":{\"$ne\":true},\"priority_public\":{\"$ne\":true},\"mutation\":{\"$ne\":true},\"reserved\":{\"$ne\":true},\"max_family_size\":{\"$gte\":2},\"couple_min_family_size\":{\"$lte\":2},\"min_revenues\":{\"$lte\":0.0},\"department\":{\"$in\":[\"Al\",\"30\"]},\"ceil_category_2\":{\"$gte\":123.0},\"floor_category_2\":{\"$lte\":123.0},\"$and\":[{\"$or\":[{\"typology\":\"T1\"}]}]}","actual_housing_details":{"postal_code":"30100","number":"2","way":"rue","district":"ALES","address_insee_code":"30100"},"postal_details":null,"is_owner":null,"owned_housing_details":null,"housing_request_ids":["5e0f3f26dfbd977dd908499a"],"entity_id":"","active_housing_request_id":"5e0f3f26dfbd977dd908499a","application_ids":[],"sms_notification":false,"main_user_id":"5dfce80b22ec7969dab34fe8","workplace_insee_code":"30007","monthly_incomes":{"SAL":0,"RET":0,"CHO":0,"PAR":0,"PINV":0,"AF":0,"AAH":0,"AEEH":0,"AJPP":0,"RSA":0,"AMV":0,"PAJE":0,"BE":0,"AUT":0,"PDA":0},"monthly_charges":{"PAV":0}},"requester_firstname":"Theo","requester_lastname":"GRELET","requester_fullname":"Theo GRELET","requester_email":"c.omptet.es.t.als@gmail.com","requester_birth_date":"2000-01-01T01:00:00.000+01:00","entity_id":"","coapplicant_ids":[],"applications_nb":0,"last_application_date":null,"housing_application_ids":[],"housing_offer_ids":null,"profile_epci_score":"uneligible","score_with_position":"uneligible","applicated_position":"uneligible","eligible_position":"uneligible","effort_rate":"uneligible","documents_required":null,"documents_uploaded":null,"unborn_children":[{}],"is_house_owner":null,"workplace_insee_code":null,"disability_details":[],"profession_details":null,"actual_housing_details":{"postal_code":"30100","number":"2","way":"rue","district":"ALES","address_insee_code":"30100"},"postal_details":{},"owned_housing_details":{"type":null,"postal_code":null,"district":null}},"type":"housing_requests"}}